{
  lib,
  buildGoModule,
  wayland,
  libxkbcommon,
  libGL,
  pkg-config,
  xorg,
}:

buildGoModule {
  pname = "xenumenu";
  version = "unstable";

  src = lib.cleanSource ./.;

  vendorHash = "sha256-AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=";

  ldflags = [
    "-s"
    "-w"
  ];

  buildInputs = [
    wayland
    libxkbcommon
    libGL
    pkg-config
    xorg.libX11
  ];

  meta = {
    description = "";
    homepage = "https://forgejo.helveticanonstandard.net/helvetica/xenumenu";
    license = lib.licenses.gpl3Only;
    mainProgram = "xenumenu";
  };
}
